Bug 237906 - Within certain locales minicom -s generates corrupt configuration files
Summary: Within certain locales minicom -s generates corrupt configuration files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: minicom (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-25 23:12 UTC by Lubomir Kundrak
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 07:29:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-04-25 23:12:59 UTC
Description of problem:

When using certain locales, minicom puts non-7bit characters in comments
in generated /etc/minirc.dfl when saving configuration. Such comments are
not handled correctly by minicom when reading that file, the foreign
characters are apparently treated like line breaks, which makes minicom
emit a warning during startup.

Version-Release number of selected component (if applicable):

minicom-2.1-3

How reproducible:

Allways

Steps to Reproduce:

1. LANG=cs_CZ.UTF-8 minicom -s
2. Save new configuration
3. run minicom with the new configuration

Actual results:

/etc/minirc.dfl contains:
# Automaticky vytvořený soubor - pro změnu nastavení použijte "minicom -s".
pr port             /dev/ttyS0
pu baudrate         9600

And during minicom startup, it complains:
** Line 2 of the globální config file not understood

Expected results:

Minicom should not complain.

Comment 1 Miroslav Lichvar 2007-05-02 14:07:40 UTC
This is fixed in the latest upstream release 2.2. Will be pushed as an update.


Note You need to log in before you can comment on or make changes to this bug.